#!/bin/sh
echo 'name: pwstore-fast
version: 2.2
id: pwstore-fast-2.2-f93dd0fa5624082779d418a01874e4a3

license: BSD3
copyright:
maintainer: pjscott@iastate.edu
stability:
homepage: https://github.com/PeterScott/pwstore
package-url:
description: To store passwords securely, they should be salted,
             then hashed with a slow hash function. This library
             uses PBKDF1-SHA256, and handles all the details.
             It uses the cryptohash package for speed; if you need
             a pure Haskell library, pwstore-purehaskell has the
             exact same API, but uses only pure Haskell. It is
             about 25 times slower than this package, but still
             quite usable.
category: Cryptography
author: Peter Scott
pkgpath: security/hs-pwstore-fast
exposed: True
exposed-modules: Crypto.PasswordStore
hidden-modules:
import-dirs: /usr/local/lib/ghc/pwstore-fast-2.2
library-dirs: /usr/local/lib/ghc/pwstore-fast-2.2
hs-libraries: HSpwstore-fast-2.2
extra-libraries:
extra-ghci-libraries:
include-dirs:
includes:
depends: base-4.3.1.0-ee15f259a627d341af7c80a17e8b0e66
         base64-bytestring-0.1.0.3-b0ded2e1421ddfbfbba2f10ec0710fd9
         bytestring-0.9.1.10-4e62762ee9b2a5d0cc5bc2fbaaeefd53
         cryptohash-0.7.0-dc0d7d8cfda43bdf332b9956a1db4f0b
         random-1.0.0.3-186815de972cb506efde02a72b0d8f8b
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/hs-pwstore-fast-2.2/html/pwstore-fast.haddock
haddock-html: /usr/local/share/doc/hs-pwstore-fast-2.2/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
